> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truust.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Wallet

> Creates a new wallet for a customer or the authenticated account.



## OpenAPI

````yaml POST /wallets
openapi: 3.1.0
info:
  title: Truust API
  version: '2.0'
  description: >
    The Truust API allows you to manage payment flows, orders, customers,
    wallets, and more.


    ## Authentication


    All authenticated endpoints require a Bearer token using your account's
    **Secret Key**.


    ```

    Authorization: Bearer {your_secret_key}

    ```


    Your API keys are available in the Dashboard under **Account Settings → API
    Developers**.
  contact:
    email: hello@truust.io
  license:
    name: Proprietary
servers:
  - url: https://{subdomain}.truust.io/2.0
    description: Production
    variables:
      subdomain:
        default: your-subdomain
        description: Your account subdomain
  - url: https://{subdomain}-sandbox.truust.io/2.0
    description: Sandbox
    variables:
      subdomain:
        default: your-subdomain
        description: Your account subdomain
security:
  - bearerAuth: []
tags:
  - name: Account
    description: Manage your Truust account
  - name: Customers
    description: Manage buyers and sellers (end users)
  - name: Orders
    description: Create and manage escrow payment orders
  - name: Payins
    description: Manage incoming payments for orders
  - name: Payouts
    description: Manage outgoing payments from orders
  - name: Wallets
    description: Manage customer and account wallets
  - name: Bank Accounts
    description: Manage bank accounts for payouts
  - name: Cards
    description: Manage tokenized payment cards
  - name: Subscriptions
    description: Manage recurring payment subscriptions
  - name: Verifications
    description: KYC verification for customers and accounts
  - name: Bundles
    description: Manage product bundles for orders
  - name: Refunds
    description: View refund records
paths:
  /wallets:
    post:
      tags:
        - Wallets
      summary: Create wallet
      description: Creates a new wallet for a customer or the authenticated account.
      operationId: createWallet
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - currency
              example:
                customer_type: user
                customer_id: 7485
                currency: EUR
                tag: bills
              properties:
                currency:
                  type: string
                  description: ISO 4217 currency code.
                  example: EUR
                customer_id:
                  type: integer
                  description: >-
                    Customer ID to assign the wallet to. Required unless
                    `customer_type` is `source`.
                  example: 42
                customer_type:
                  type: string
                  enum:
                    - source
                    - user
                  description: >-
                    Pass `source` to create a wallet for the authenticated
                    account. Pass `user` for a customer wallet (use with
                    `customer_id`).
                type:
                  type: string
                  enum:
                    - CURRENCYCLOUD
                    - CLEARJUNCTION
                  description: Optional wallet provider type.
                tag:
                  type: string
                  maxLength: 100
                metadata:
                  type: object
                  additionalProperties: true
      responses:
        '200':
          description: Wallet created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Wallet'
        '422':
          $ref: '#/components/responses/ValidationError'
components:
  schemas:
    Wallet:
      type: object
      properties:
        id:
          type: integer
        self:
          type: string
        uuid:
          type: string
        type:
          type: string
          nullable: true
          description: >-
            Wallet provider type (e.g. `CLEARJUNCTION`, `CURRENCYCLOUD`). Null
            for standard wallets.
        balance:
          type: number
          format: float
          example: 250
        currency:
          type: string
          example: EUR
        tag:
          type: string
          nullable: true
        metadata:
          type: object
          nullable: true
          additionalProperties: true
        created_at:
          type: string
          format: date-time
          nullable: true
        connections:
          $ref: '#/components/schemas/Connections'
    Connections:
      type: object
      description: Hypermedia links to related resources.
      additionalProperties:
        type: string
  responses:
    ValidationError:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: The given data was invalid.
              errors:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: string
                example:
                  name:
                    - The name field is required.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Use your account's **Secret Key** as the Bearer token.

````